Name:           perl-Safe-Hole
Version:        0.14
Release:        1%{?dist}
Summary:        Make a hole to the original main compartment in the Safe compartment
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Safe-Hole/
Source0:        http://www.cpan.org/authors/id/T/TO/TODDR/Safe-Hole-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Build) >= 0.42
BuildRequires:  perl(Test::More) >= 0.40
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:	perl(Safe::Hole)
Provides:	perl(Safe::Hole::User)

%description
We can call outside defined subroutines from the Safe compartment using
share(), or can call methods through the object that is copied into the
Safe compartment using varglob(). But that subroutines or methods are
executed in the Safe compartment too, so they cannot call another
subroutines that are dinamically qualified with the package name such as
class methods nor can they compile code that uses opcodes that are
forbidden within the compartment.

%prep
%setup -q -n Safe-Hole-%{version}

%build
%{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes Copying META.json README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Safe*
%{_mandir}/man3/*

%changelog
* Wed Apr 08 2020 Peter Ajamian <pj@ghettoforge.org> 0.14-1
- Specfile autogenerated by cpanspec 1.78.
